db-jdo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andy Jefferson <a...@datanucleus.org>
Subject JDK level support in JDO
Date Mon, 18 Aug 2008 14:41:00 GMT
Hi,

all previous JDO releases have always supported JDKs 1.3 and above. 
JDO2.1 started providing the "api2-legacy" for JDK1.3/4, and "api2" for 
JDK1.5+ specifics.

Just a note about DataNucleus AccessPlatform support levels.
1. AccessPlatform 1.0 will be the last release that will support JDK1.3/1.4.
2. AccessPlatform 1.1 will support JDK1.5+ only.

AccessPlatform 1.0 will be branched at its 1.0 final release (start of Sept) 
and there could be minor releases on that branch after this point, but we 
just don't have the resources to support 2 branches for any period.


What are the Apache JDO timescales for dropping support for JDK1.3/1.4 ? 
Perhaps make JDO2.2 the final release supporting JDK1.3/1.4?



-- 
Andy  (DataNucleus - http://www.datanucleus.org)

Mime
View raw message